/*
 ##############################################################
 # (C) 2014 BAE SYSTEMS
 #
 # ECOA Bish Bash Bosh Sample - Reusable BLOB (binary large object) class
 #
 # $Id: BLOB.h,v 1.2 2017/11/06 15:33:39 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/
#ifndef BLOB_H_
#define BLOB_H_

#include <stdlib.h>

typedef struct BLOB_t *BLOB;

BLOB blobCreate( void *data, size_t size );
void blobDestroy( BLOB blob );

char* blobToString( BLOB blob, char *buff );

#endif /*BLOB_H_*/
