/*
 ##############################################################
 # (C) 2014 BAE SYSTEMS
 #
 # ECOA Bish Bash Bosh Sample - Reusable ring buffer class
 #
 # $Id: Ring.h,v 1.2 2017/11/06 15:33:39 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/
#ifndef RING_H_
#define RING_H_

#include <stdlib.h>

typedef struct Ring_t *Ring;

Ring ringCreate( size_t ringLength, size_t itemSize );
void ringDestroy( Ring ring );

int ringAddItem( Ring ring, void *item );
void* ringGetItem( Ring ring );

int ringClear( Ring ring );

#endif /*RING_H_*/
