/* @file dynTrig_im_container.h
 * Container Interface header for Module dynTrig_im
 * Generated automatically from specification; do not modify here
 */

#if !defined(DYNTRIG_IM_CONTAINER_H)
#define DYNTRIG_IM_CONTAINER_H


/* Include the types from the XML types files */
#include "ECOA.h"

#include "ECOA.h"

#include "bbb.h"


#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Incomplete definition of the technical (platform-dependent) part of the context
 * (it will be defined privately by the container) */
struct dynTrig_im__platform_hook;

/* Module Context structure declaration */
typedef struct 
{
   /*
    * Other container technical data will accessible through the pointer
    * defined here
    */
   struct dynTrig_im__platform_hook *platform_hook;

} dynTrig_im__context;


/* Logging and fault management services API */
void dynTrig_im_container__log_trace
   (dynTrig_im__context* context, const ECOA__log log);

void dynTrig_im_container__log_debug
   (dynTrig_im__context* context, const ECOA__log log);

void dynTrig_im_container__log_info
   (dynTrig_im__context* context, const ECOA__log log);

void dynTrig_im_container__log_warning
   (dynTrig_im__context* context, const ECOA__log log);

void dynTrig_im_container__raise_error
   (dynTrig_im__context* context, const ECOA__log log);

void dynTrig_im_container__raise_fatal_error
   (dynTrig_im__context* context, const ECOA__log log);

/* Time services API */
void dynTrig_im_container__get_relative_local_time
   (dynTrig_im__context* context, ECOA__hr_time* relative_local_time);

ECOA__return_status dynTrig_im_container__get_UTC_time
   (dynTrig_im__context* context, ECOA__global_time* utc_time);

ECOA__return_status dynTrig_im_container__get_absolute_system_time
   (dynTrig_im__context* context, ECOA__global_time* absolute_system_time);

/* Time resolution services API */
void dynTrig_im_container__get_relative_local_time_resolution
   (dynTrig_im__context* context, ECOA__duration* relative_local_time_resolution);

void dynTrig_im_container__get_UTC_time_resolution
   (dynTrig_im__context* context, ECOA__duration* utc_time_resolution);

void dynTrig_im_container__get_absolute_system_time_resolution
   (dynTrig_im__context* context, ECOA__duration* absolute_system_time_resolution);

void dynTrig_im_container__out__send
   (dynTrig_im__context* context,
    const ECOA__int32 a,
    const bbb__LogItem* b);


#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* DYNTRIG_IM_CONTAINER_H */

