-- File bbb.ads

-- Standard ECOA Types
with ECOA;


package bbb is

-- Array type
type BLOB_Size is new ECOA.Unsigned_32_Type range 0..100000;
subtype BLOB_Index is BLOB_Size range 0..100000-1;
type BLOB_Data is array
    (BLOB_Index) of ECOA.Character_8_Type;
type BLOB is
   record
      Current_Size : BLOB_Size;
      Data         : BLOB_Data;
   end record;

-- Record type
type TimeStamp is
   record
      secs : ECOA.Unsigned_32_Type;
      nsecs : ECOA.Unsigned_32_Type;
   end record;

-- Record type
type LogItem is
   record
      seq : ECOA.Unsigned_32_Type;
      timeStamp : TimeStamp;
      data : BLOB;
   end record;


end bbb;
